Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.activation
Class FileTypeMap

    java.lang.Object
      javax.activation.FileTypeMap

Direct Known Subclasses:
  MimetypesFileTypeMap

public abstract class FileTypeMap
extends java.lang.Object

The FileTypeMap is an abstract class that provides a data typing interface for files. Implementations of this class will implement the getContentType methods which will derive a content type from a file name or a File object. FileTypeMaps could use any scheme to determine the data type, from examining the file extension of a file (like the MimetypesFileTypeMap) to opening the file and trying to derive its type from the contents of the file. The FileDataSource class uses the default FileTypeMap (a MimetypesFileTypeMap unless changed) to determine the content type of files.

See Also:
  `FileTypeMap`, `FileDataSource`, `MimetypesFileTypeMap`

Constructor Summary
`FileTypeMap()` The default constructor.

Method Summary
`abstract java.lang.String` | `getContentType(java.io.File file)` Return the type of the file object.
`abstract java.lang.String` | `getContentType(java.lang.String filename)` Return the type of the file passed in.
`static FileTypeMap` | `getDefaultFileTypeMap()` Return the default FileTypeMap for the system.
`static void` | `setDefaultFileTypeMap(FileTypeMap map)` Sets the default FileTypeMap for the system.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FileTypeMap

    public FileTypeMap()

  The default constructor.

Method Detail

### getContentType

    public abstract java.lang.String getContentType(java.io.File file)

  Return the type of the file object. This method should always return a valid MIME type.

  Parameters:
    `file` - A file to be typed.
  Returns:
    The content type.

### getContentType

    public abstract java.lang.String getContentType(java.lang.String filename)

  Return the type of the file passed in. This method should always return a valid MIME type.

  Parameters:
    `filename` - the pathname of the file.
  Returns:
    The content type.

### setDefaultFileTypeMap

    public static void setDefaultFileTypeMap(FileTypeMap map)

  Sets the default FileTypeMap for the system. This instance will be returned to callers of getDefaultFileTypeMap.

  Parameters:
    `map` - The FileTypeMap.
  Throws:
    `java.lang.SecurityException` - if the caller doesn't have permission to change the default

### getDefaultFileTypeMap

    public static FileTypeMap getDefaultFileTypeMap()

  Return the default FileTypeMap for the system. If setDefaultFileTypeMap was called, return that instance, otherwise return an instance of `MimetypesFileTypeMap`.

  Returns:
    The default FileTypeMap
  See Also:
    `setDefaultFileTypeMap(javax.activation.FileTypeMap)`

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD